Skip to main content
GET
/
api
/
Satistics
/
getDaily
Get daily statistics for given timespan
curl --request GET \
  --url https://dln-api.debridge.finance/api/Satistics/getDaily
import requests

url = "https://dln-api.debridge.finance/api/Satistics/getDaily"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://dln-api.debridge.finance/api/Satistics/getDaily', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "dailyData": [
    {
      "giveChainId": {
        "bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
        "bytesArrayValue": "<string>",
        "bigIntegerValue": 123,
        "stringValue": "<string>"
      },
      "takeChainId": {
        "bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
        "bytesArrayValue": "<string>",
        "bigIntegerValue": 123,
        "stringValue": "<string>"
      },
      "date": 123,
      "createdOrdersCount": 123,
      "fulfilledOrdersCount": 123,
      "totalAmountGivenUsd": 123,
      "totalAmountTakenUsd": 123,
      "totalProtocolFeeUsd": 123,
      "uniqueOrderCreators": 123,
      "newOrderCreators": 123
    }
  ],
  "dailyDataCumulative": [
    {
      "giveChainId": {
        "bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
        "bytesArrayValue": "<string>",
        "bigIntegerValue": 123,
        "stringValue": "<string>"
      },
      "takeChainId": {
        "bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
        "bytesArrayValue": "<string>",
        "bigIntegerValue": 123,
        "stringValue": "<string>"
      },
      "date": 123,
      "createdOrdersCount": 123,
      "fulfilledOrdersCount": 123,
      "totalAmountGivenUsd": 123,
      "totalAmountTakenUsd": 123,
      "totalProtocolFeeUsd": 123,
      "uniqueOrderCreators": 123,
      "newOrderCreators": 123
    }
  ]
}

Query Parameters

dateFrom
string<date-time>

Timespan beginning date (inclusive)

dateTo
string<date-time>

Timespan ending date (inclusive)

Response

OK

dailyData
object[] | null

Statistical data for every requested date for every chain

dailyDataCumulative
object[] | null

Cumulative statistical data for every requested date for every chain